%NULL = 0
%MAX_PATH              = 260
%CS_VREDRAW            = &H1
%CS_HREDRAW            = &H2
%TRUE                  = 1
%FALSE                 = 0
%SC_CLOSE              = 61536
%WM_SYSCOMMAND         = 274
%WM_RBUTTONDOWN        = &H204
%WM_GETMINMAXINFO      = &h0024???
%WM_MOVING             = &h0216???
%HTCAPTION             = 2
%ERROR_ALREADY_EXISTS  = 183
%PM_REMOVE             = &H0001
%IDC_ARROW             = 32512&
%SM_CXSCREEN           = 0
%SM_CYSCREEN           = 1

%LB_ADDSTRING          = &H180
%LB_INSERTSTRING       = &H181
%LB_FINDSTRING         = &H18F
%LB_GETTEXT            = &H189
%LB_GETTEXTLEN         = &H18A
%LB_DELETESTRING       = &H182
%LB_RESETCONTENT       = &H184
%LB_SETCURSEL          = &H186
%LB_GETCURSEL          = &H188
%LB_GETCOUNT           = &H18B
%LBS_HASSTRINGS        = &H40&
%LBS_SORT              = &H2&

%TBS_AUTOTICKS         = &H0001
%TBS_HORZ              = &H0000
%TBS_BOTTOM            = &H0000
%TBM_GETPOS            = %WM_USER
%TBM_SETPOS            = %WM_USER + 5
%TBM_SETRANGE          = %WM_USER + 6
%TBM_SETTICFREQ        = %WM_USER + 20
%TBM_SETPAGESIZE       = %WM_USER + 21
%TBM_SETLINESIZE       = %WM_USER + 23
%WM_HSCROLL            = &H114

%INVALID_HANDLE_VALUE       = -1
%FILE_READ_DATA             = &H0001???
%FILE_WRITE_DATA            = &H0002???
%FILE_SHARE_READ            = &H00000001???
%FILE_SHARE_WRITE           = &H00000002???
%FILE_ATTRIBUTE_NORMAL      = &H00000080???
%GENERIC_READ               = &H80000000???
%GENERIC_WRITE              = &H40000000???
%CREATE_ALWAYS              = 2
%OPEN_EXISTING              = 3

%MONITOR_DEFAULTTONEAREST   = &H00000002

%SND_ASYNC          = &H0001???         ' /* play asynchronously */
%SND_FILENAME       = &H00020000???     ' /* name is a file name */

type FILETIME
    dwLowDateTime as dword
    dwHighDateTime as dword
end type

type WIN32_FIND_DATA
    dwFileAttributes as dword
    ftCreationTime as FILETIME
    ftLastAccessTime as FILETIME
    ftLastWriteTime as FILETIME
    nFileSizeHigh as dword
    nFileSizeLow as dword
    dwReserved0 as dword
    dwReserved1 as dword
    cFileName as asciiz * %MAX_PATH
    cAlternateFileName as asciiz * 14
end type

type RECT
    nLeft as long
    nTop as long
    nRight as long
    nBottom as long
end type

type MONITORINFO
    cbSize as dword
    rcMonitor AS RECT
    rcWork AS RECT
    dwFlags as dword
end type

type POINTAPI
    x as long
    y as long
end type

type MINMAXINFO
    ptReserved     as POINTAPI
    ptMaxSize      as POINTAPI
    ptMaxPosition  as POINTAPI
    ptMinTrackSize as POINTAPI
    ptMaxTrackSize as POINTAPI
end type

type tagMSG
    hwnd as dword
    message as dword
    wParam as long
    lParam as long
    time as dword
    pt as POINTAPI
end type

type WNDCLASSEX
    cbSize as dword
    STYLE as dword
    lpfnWndProc as long
    cbClsExtra as long
    cbWndExtra as long
    hInstance as dword
    hIcon as dword
    hCursor as dword
    hbrBackground as dword
    lpszMenuName as asciiz ptr
    lpszClassName as asciiz ptr
    hIconSm as dword
end type

type SECURITY_ATTRIBUTES
    nLength as dword
    lpSecurityDescriptor as long
    bInheritHandle as long
end type

type OVERLAPPED
    Internal as dword
    InternalHigh as dword
    offset as dword
    OffsetHigh as dword
    hEvent as dword
end type

type SECURITY_ATTRIBUTES
    nLength as dword
    lpSecurityDescriptor as long
    bInheritHandle as long
end type

declare function zTrace lib "zTrace.DLL" alias "zTrace" (zMessage as asciiz) as long
declare function PathCombine lib "SHLWAPI.DLL" alias "PathCombineA" (byref lpszDest as asciiz, byref lpszDir as asciiz, byref lpszFile as asciiz) as long

declare function SetWindowText lib "USER32.DLL" alias "SetWindowTextA" (byval hWnd as dword, lpString as asciiz) as long
declare function MonitorFromWindow lib "USER32.DLL" alias "MonitorFromWindow" (byval hwnd as dword, byval dwFlags as dword) as dword
declare function GetMonitorInfo lib "USER32.DLL" alias "GetMonitorInfoA" (byval hMonitor as dword, lpmi as MONITORINFO) as long
declare function GetWindowRect lib "USER32.DLL" alias "GetWindowRect" (byval hWnd as dword, byref lpRect as RECT) as long
declare function GetDlgItem lib "USER32.DLL" alias "GetDlgItem" (byval hWnd as dword, byval nID as long) as dword
declare function GetDlgCtrlID lib "USER32.DLL" alias "GetDlgCtrlID" (byval hWnd as dword) as long
declare function GetClientRect lib "USER32.DLL" alias "GetClientRect" (byval hwnd as dword, lpRect as RECT) as long
declare function CloseHandle lib "KERNEL32.DLL" alias "CloseHandle" (byval hObject as dword) as long
declare function DispatchMessage lib "USER32.DLL" alias "DispatchMessageA" (lpMsg as tagMSG) as long
declare function TranslateMessage lib "USER32.DLL" alias "TranslateMessage" (lpMsg as tagMSG) as long
declare function GetMessage lib "USER32.DLL" alias "GetMessageA" (lpMsg as tagMSG, byval hWnd as dword, byval uMsgFilterMin as dword, byval uMsgFilterMax as dword) as long
declare function SetFocus lib "USER32.DLL" alias "SetFocus" (byval hWnd as dword) as long
declare function GetSystemMetrics lib "USER32.DLL" alias "GetSystemMetrics" (byval nIndex as long) as long
declare function AdjustWindowRectEx lib "USER32.DLL" alias "AdjustWindowRectEx" (lpRect as RECT, byval dsStyle as long, byval bMenu as long, byval dwEsStyle as dword) as long
declare function SetRect lib "USER32.DLL" alias "SetRect" (lpRect as RECT, byval X1 as long, byval Y1 as long, byval X2 as long, byval Y2 as long) as long
declare function RegisterClassEx lib "USER32.DLL" alias "RegisterClassExA" (pcWndClassEx as WNDCLASSEX) as WORD
declare function LoadCursor lib "USER32.DLL" alias "LoadCursorA" (byval hInstance as dword, lpCursorName as asciiz) as dword
declare function LoadIcon lib "USER32.DLL" alias "LoadIconA" (byval hInstance as dword, lpIconName as asciiz) as dword
declare function GetClassInfoEx lib "USER32.DLL" alias "GetClassInfoExA" (byval hInst as dword, lpszClass as asciiz, lpWndClass as WNDCLASSEX) as long
declare function SetForegroundWindow lib "USER32.DLL" alias "SetForegroundWindow" (byval hWnd as dword) as long
declare function ShowWindow lib "USER32.DLL" alias "ShowWindow" (byval hWnd as dword, byval nCmdShow as long) as long
declare function IsIconic lib "USER32.DLL" alias "IsIconic" (byval hWnd as dword) as long
declare function PeekMessage lib "USER32.DLL" alias "PeekMessageA" (lpMsg as tagMSG, byval hWnd as dword, byval dwMsgFilterMin as dword, byval dwMsgFilterMax as dword, byval dwRemoveMsg as dword) as long
declare function FindNextFile lib "KERNEL32.DLL" alias "FindNextFileA" (byval hFindFile as dword, lpFindFileData as WIN32_FIND_DATA) as long
declare function FindWindow lib "USER32.DLL" alias "FindWindowA" (lpClassName as asciiz, lpWindowName as asciiz) as long
declare function GetLastError lib "KERNEL32.DLL" alias "GetLastError" () as long
declare function CreateMutex lib "KERNEL32.DLL" alias "CreateMutexA" (lpMutexAttributes as SECURITY_ATTRIBUTES, byval bInitialOwner as long, lpName as asciiz) as long
declare function DefWindowProc lib "USER32.DLL" alias "DefWindowProcA" (byval hWnd as dword, byval uMsg as dword, byval wParam as dword, byval lParam as long) as long
declare sub      PostQuitMessage lib "USER32.DLL" alias "PostQuitMessage" (byval nExitCode as long)
declare function PostMessage lib "USER32.DLL" alias "PostMessageA" (byval hWnd as dword, byval dwMsg as dword, byval wParam as dword, byval lParam as long) as long
declare function SetTimer lib "USER32.DLL" alias "SetTimer" (byval hWnd as dword, byval nIDEvent as long, byval uElapse as dword, byval lpTimerFunc as long) as long
declare function KillTimer lib "USER32.DLL" alias "KillTimer" (byval hWnd as dword, byval nIDEvent as long) as long
declare function GdipLoadImageFromFile lib "gdiplus.dll" alias "GdipLoadImageFromFile" (zFilName as asciiz, nImage&) as long
declare function SendMessage lib "USER32.DLL" alias "SendMessageA" (byval hWnd as dword, byval dwMsg as dword, byval wParam as dword, byval lParam as long) as long
declare function GetModuleFileName lib "KERNEL32.DLL" alias "GetModuleFileNameA" (byval hModule as dword, lpFileName as asciiz, byval nSize as dword) as dword
declare function IsWindow lib "USER32.DLL" alias "IsWindow" (byval DWORD) as long
declare function FindClose lib "KERNEL32.DLL" alias "FindClose" (byval hFindFile as dword) as long
declare function FindFirstFile lib "KERNEL32.DLL" alias "FindFirstFileA" (lpFileName as asciiz, lpFindFileData as WIN32_FIND_DATA) as long
declare function FindNextFile lib "KERNEL32.DLL" alias "FindNextFileA" (byval hFindFile as dword, lpFindFileData as WIN32_FIND_DATA) as long
declare function GetTickCount lib "KERNEL32.DLL" alias "GetTickCount" () as dword
declare function CharLower lib "USER32.DLL" alias "CharLowerA" (lpsz as asciiz) as dword
declare function CreateWindowEx lib "USER32.DLL" alias "CreateWindowExA" (byval dwExStyle as dword, lpClassName as asciiz, lpWindowName as asciiz, byval dwStyle as dword, byval x as long, byval y as long, _
                 byval nWidth as long, byval nHeight as long, byval hWndParent as dword, byval hMenu as dword, byval hInstance as dword, lpParam as any) as dword

declare function PlaySound lib "WINMM.DLL" alias "PlaySoundA" (byref pszSound as asciiz, byval hmod as dword, byval fdwSound as dword) as long
declare function SetFilePointer lib "KERNEL32.DLL" alias "SetFilePointer" (byval hFile as dword, byval lDistanceToMove as long, lpDistanceToMoveHigh as long, byval dwMoveMethod as dword) as long
declare function GetFileSize lib "KERNEL32.DLL" alias "GetFileSize" (byval hFile as dword, lpFileSizeHigh as long) as long
declare function ReadFile lib "KERNEL32.DLL" alias "ReadFile" (byval hFile as dword, lpBuffer as any, byval nNumberOfBytesToRead as long, lpNumberOfBytesRead as long, lpOverlapped as OVERLAPPED) as long
declare function WriteFile lib "KERNEL32.DLL" alias "WriteFile" (byval hFile as dword, lpBuffer as any, byval nNumberOfBytesToWrite as dword, lpNumberOfBytesWritten as dword, lpOverlapped as OVERLAPPED) as long
declare function CreateFile lib "KERNEL32.DLL" alias "CreateFileA" (lpFileName as asciiz, byval dwDesiredAccess as dword, byval dwShareMode as dword, lpSecurityAttributes as SECURITY_ATTRIBUTES, byval dwCreationDisposition as dword, _
                 byval dwFlagsAndAttributes as dword, byval hTemplateFile as dword) as dword
